-- Mise en place d'une base de données

-- Se connecter à la base de données avec le compte root

-- Créer un compte utilisateur

SELECT user, host FROM mysql.user;

CREATE USER 'bobby'@'%' IDENTIFIED BY 'hello';

SELECT user, host FROM mysql.user;

-- Donner des droits à ce compte utilisateur

SHOW GRANTS FOR 'bobby'@'%';

GRANT ALL ON blog.* TO 'bobby'@'%';
FLUSH PRIVILEGES;

SHOW GRANTS FOR 'bobby'@'%';

-- Se connecter à la base de données avec le compte bobby

-- Créer la base de données

SHOW DATABASES;

DROP DATABASE IF EXISTS blog;

CREATE DATABASE blog DEFAULT CHARACTER SET utf8mb4;

SHOW DATABASES;

-- Créer une table

USE blog

SHOW TABLES;

CREATE TABLE blog.utilisateur (
    id INT NOT NULL AUTO_INCREMENT,
    nom VARCHAR(100) DEFAULT NULL,
    email VARCHAR(100) DEFAULT NULL,
    PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

SHOW TABLES;

-- Ajouter des données

SELECT * FROM blog.utilisateur;

INSERT INTO blog.utilisateur (nom, email) VALUES
    ('Tara','tara@example.com');

INSERT INTO blog.utilisateur (nom, email) VALUES
    ('Ada','ada@example.com'),
    ('Erikson','erikson@example.com'),
    ('Jorg','jorg@example.com');

SELECT * FROM blog.utilisateur;

